VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceBlendOperationAdvancedFeaturesEXT (Bool32 advancedBlendCoherentOperations_=0)
| PhysicalDeviceBlendOperationAdvancedFeaturesEXT (VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const &rhs)
PhysicalDeviceBlendOperationAdvancedFeaturesEXT & | operator= (VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const &rhs)
PhysicalDeviceBlendOperationAdvancedFeaturesEXT & | setPNext (void *pNext_)
PhysicalDeviceBlendOperationAdvancedFeaturesEXT & | setAdvancedBlendCoherentOperations (Bool32 advancedBlendCoherentOperations_)
| operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const & () const
| operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT & ()
bool | operator== (PhysicalDeviceBlendOperationAdvancedFeaturesEXT const &rhs) const
bool | operator!= (PhysicalDeviceBlendOperationAdvancedFeaturesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | advancedBlendCoherentOperations

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceBlendOperationAdvancedFeaturesEXT

## Detailed Description

Definition at line 16735 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceBlendOperationAdvancedFeaturesEXT() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::PhysicalDeviceBlendOperationAdvancedFeaturesEXT | ( | Bool32 | advancedBlendCoherentOperations_ = `0` | ) |

inline

Definition at line 16737 of file vulkan.hpp.

: advancedBlendCoherentOperations( advancedBlendCoherentOperations_ )
{
}

## PhysicalDeviceBlendOperationAdvancedFeaturesEXT() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::PhysicalDeviceBlendOperationAdvancedFeaturesEXT | ( | VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const & | rhs | ) |

inline

Definition at line 16742 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceBlendOperationAdvancedFeaturesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT & | ( |  | ) |

inline

Definition at line 16769 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT*>(this);
}

## operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const & | ( |  | ) | const

inline

Definition at line 16764 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator!= | ( | PhysicalDeviceBlendOperationAdvancedFeaturesEXT const & | rhs | ) | const

inline

Definition at line 16781 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceBlendOperationAdvancedFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator= | ( | VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT const & | rhs | ) |

inline

Definition at line 16747 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceBlendOperationAdvancedFeaturesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator== | ( | PhysicalDeviceBlendOperationAdvancedFeaturesEXT const & | rhs | ) | const

inline

Definition at line 16774 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( advancedBlendCoherentOperations == rhs.advancedBlendCoherentOperations );
}

References advancedBlendCoherentOperations, pNext, and sType.

Referenced by operator!=().

## setAdvancedBlendCoherentOperations()

PhysicalDeviceBlendOperationAdvancedFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::setAdvancedBlendCoherentOperations | ( | Bool32 | advancedBlendCoherentOperations_ | ) |

inline

Definition at line 16758 of file vulkan.hpp.

{
advancedBlendCoherentOperations = advancedBlendCoherentOperations_;
return *this;
}

References advancedBlendCoherentOperations.

## setPNext()

PhysicalDeviceBlendOperationAdvancedFeaturesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 16752 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## advancedBlendCoherentOperations

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::advancedBlendCoherentOperations

Definition at line 16791 of file vulkan.hpp.

Referenced by operator==(), and setAdvancedBlendCoherentOperations().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::pNext = nullptr

Definition at line 16790 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::sType = StructureType::ePhysicalDeviceBlendOperationAdvancedFeaturesEXT

private

Definition at line 16787 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::advancedBlendCoherentOperations
Bool32 advancedBlendCoherentOperations
Definition: vulkan.hpp:16791
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::sType
StructureType sType
Definition: vulkan.hpp:16787
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPhysicalDeviceBlendOperationAdvancedFeaturesEXT
Definition: vulkan_core.h:7710
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::operator==
bool operator==(PhysicalDeviceBlendOperationAdvancedFeaturesEXT const &rhs) const
Definition: vulkan.hpp:16774
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::PhysicalDeviceBlendOperationAdvancedFeaturesEXT
PhysicalDeviceBlendOperationAdvancedFeaturesEXT(Bool32 advancedBlendCoherentOperations_=0)
Definition: vulkan.hpp:16737
VULKAN_HPP_NAMESPACE::PhysicalDeviceBlendOperationAdvancedFeaturesEXT::pNext
void * pNext
Definition: vulkan.hpp:16790